Index: trip-planner-front/src/app/app.module.ts
===================================================================
--- trip-planner-front/src/app/app.module.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/app.module.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -2,7 +2,7 @@
 import { AppComponent } from './app.component';
 import { BrowserModule } from '@angular/platform-browser';
-import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
-import { FormsModule, ReactiveFormsModule } from '@angular/forms';
-import { HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
+import { NgModule } from '@angular/core';
+import {FormsModule} from '@angular/forms';
+import {HttpClient, HttpClientModule} from '@angular/common/http';
 import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 import { CategoryService } from './_services/cateogry.service';
@@ -10,50 +10,16 @@
 import { LocationComponent } from './location/location.component';
 import { MatIconModule } from '@angular/material/icon';
+import {MatListModule} from '@angular/material/list';
 import { MatSelectModule } from '@angular/material/select';
-import { MatInputModule } from '@angular/material/input';
-import { MatChipsModule } from '@angular/material/chips';
-import { MatTabsModule } from '@angular/material/tabs';
-import { MatDialogModule, MatDialogRef } from '@angular/material/dialog';
-import { MatBadgeModule } from '@angular/material/badge';
-import { MatDividerModule } from '@angular/material/divider';
-import { MatCardModule } from '@angular/material/card';
+import {MatInputModule} from '@angular/material/input';
+import {MatChipsModule} from '@angular/material/chips';
+import {MatTabsModule} from '@angular/material/tabs';
+import {MatDialogModule} from '@angular/material/dialog';
+import {MatBadgeModule} from '@angular/material/badge';
+import {MatDividerModule} from '@angular/material/divider';
+import {MatCardModule} from '@angular/material/card';
 import { PlannerService } from './_services/planner.service';
 import { MatButtonModule } from '@angular/material/button';
-import { MatGridListModule } from '@angular/material/grid-list';
-import { CreateInitialPlannerComponent } from './create-initial-planner/create-initial-planner.component';
-import { LocationsFormComponent } from './locations-form/locations-form.component';
-import { MatFormFieldModule } from '@angular/material/form-field';
-import { MatAutocompleteModule } from '@angular/material/autocomplete';
-import { EditPlannerComponent } from './planner/edit-planner/edit-planner.component';
-import { AddLocationToPlannerPanelComponent } from './location/add-location-to-planner-panel/add-location-to-planner-panel.component';
-import { HomepageComponent } from './homepage/homepage.component';
-import { AccordionModule } from 'primeng/accordion';     //accordion and accordion tab
-import { CarouselModule } from 'primeng/carousel';
-import { ButtonModule } from 'primeng/button';
-import { ToastModule } from 'primeng/toast';
-import { TabViewModule } from 'primeng/tabview';
-import { LocationDetailsComponent } from './location/location-details/location-details.component';
-import { GalleriaModule } from 'primeng/galleria';
-import { DialogService, DynamicDialogModule } from 'primeng/dynamicdialog';
-import { MessageService, SharedModule, ConfirmationService } from 'primeng/api';
-import { TableModule } from 'primeng/table';
-import { MessagesModule } from 'primeng/messages';
-import { MessageModule } from 'primeng/message';
-import { InputTextModule } from 'primeng/inputtext';
-import { RippleModule } from 'primeng/ripple';
-import { PaginatorModule } from 'primeng/paginator';
-import { CardModule } from 'primeng/card';
-import { RegisterComponent } from './homepage/register/register.component';
-import { LoginComponent } from './homepage/login/login.component';
-import { AuthGuard } from './auth/auth.guard';
-import { AuthInterceptor } from './auth/auth.interceptor';
-import { ExploreComponent } from './explore/explore.component';
-import {AutoCompleteModule} from 'primeng/autocomplete';
-import { ExploreResultComponent } from './explore/explore-result/explore-result.component';
-import {RatingModule} from 'primeng/rating';
-import { AddLocationComponent } from './location/add-location/add-location.component';
-import {StepsModule} from 'primeng/steps';
-import {MatStepperModule} from '@angular/material/stepper';
-import {FileUploadModule} from 'primeng/fileupload';
+import {MatGridListModule} from '@angular/material/grid-list';
 
 @NgModule({
@@ -61,17 +27,6 @@
     AppComponent,
     PlannerComponent,
-    LocationComponent,
-    CreateInitialPlannerComponent,
-    LocationsFormComponent,
-    EditPlannerComponent,
-    AddLocationToPlannerPanelComponent,
-    HomepageComponent,
-    LocationDetailsComponent,
-    RegisterComponent,
-    LoginComponent,
-    ExploreComponent,
-    ExploreResultComponent,
-    AddLocationComponent
-    ],
+    LocationComponent
+  ],
   imports: [
     BrowserModule,
@@ -89,61 +44,12 @@
     MatCardModule,
     MatButtonModule,
-    MatGridListModule,
-    MatFormFieldModule,
-    MatAutocompleteModule,
-    HttpClientModule,
-    ReactiveFormsModule,
-    MatSelectModule,
-    AccordionModule,
-    CarouselModule,
-    ButtonModule,
-    ToastModule,
-    TabViewModule,
-    GalleriaModule,
-    DynamicDialogModule,
-    MatIconModule,
-    SharedModule,
-    MatDialogModule,
-    TableModule,
-    MessagesModule,
-    MessageModule,
-    InputTextModule,
-    RippleModule,
-    FormsModule,
-    PaginatorModule,
-    CardModule,
-    AutoCompleteModule,
-    RatingModule,
-    StepsModule,
-    MatStepperModule,
-    FileUploadModule
-    ],
-
-
+    MatGridListModule
+  ],
   providers: [
     CategoryService,
-    PlannerService,
-    {
-      provide: MatDialogRef,
-      useValue: {},
-
-    },
-    {
-      provide: HTTP_INTERCEPTORS,
-      useClass: AuthInterceptor,
-      multi: true
-    },
-    DialogService,
-    MessageService,
-    ConfirmationService,
-    AuthGuard
+    PlannerService
   ],
-
-  entryComponents: [
-    AddLocationToPlannerPanelComponent
-  ],
-  bootstrap: [AppComponent],
-  schemas: [NO_ERRORS_SCHEMA],
-
+  bootstrap: [AppComponent]
+  
 })
 export class AppModule { }
